Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.crmf
Class CertRequest

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.crmf.CertRequest

All Implemented Interfaces:
  DEREncodable

    public class CertRequest

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`DERInteger` | `getCertReqId()`
`CertTemplate` | `getCertTemplate()`
`Controls` | `getControls()`
`static CertRequest` | `getInstance(java.lang.Object o)`
`DERObject` | `toASN1Object()` CertRequest ::= SEQUENCE { certReqId INTEGER, -- ID for matching request and reply certTemplate CertTemplate, -- Selected fields of cert to be issued controls Controls OPTIONAL } -- Attributes affecting issuance

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CertRequest getInstance(java.lang.Object o)

### getCertReqId

    public DERInteger getCertReqId()

### getCertTemplate

    public CertTemplate getCertTemplate()

### getControls

    public Controls getControls()

### toASN1Object

    public DERObject toASN1Object()

       CertRequest ::= SEQUENCE {
                            certReqId     INTEGER,          -- ID for matching request and reply
                            certTemplate  CertTemplate,  -- Selected fields of cert to be issued
                            controls      Controls OPTIONAL }   -- Attributes affecting issuance

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD